.card-texts {
	min-height: 100vh;
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: 1fr auto;
}

.card-texts-content {
	height: 100%;
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: 1fr;
	align-self: stretch;

	overflow: hidden;
	position: relative;
}

.card-texts-card {
	grid-column: 1 / 1;
	grid-row: 1 / 1;

	opacity: 0;
	pointer-events: none;
	z-index: 0;

	transition: opacity 0.3s ease;
	transition-delay: 0.4s;
}

.card-texts-card.active {
	opacity: 1;
	pointer-events: auto;
	z-index: 1;
	transition-delay: 0s;
}

.card-texts-text {
	background-color: var(--color-primary);
	color: #ffffff;
	padding: var(--padding-page) var(--padding-page) var(--padding-m) var(--padding-page);
}

.card-texts-text-inner {
	height: 100%;
	max-width: 720px;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	align-items: flex-start;
}

.card-texts .title-g {
	font-size: var(--font-size-g);
}

.card-texts .title-g .subtitle {
	font-size: calc(var(--font-size-g) * 0.333);
}

.card-texts-text-inner .button {
	--button-card-text-hover-color: rgba(0,0,0,0.8);
	margin-top: var(--padding-m);
}

.card-texts-text-inner .button:hover {
	background-color: var(--button-card-text-hover-color);
}

.card-texts-images, .card-texts-image {
	height: 100%;
}

.card-texts-images {
	position: relative;
	overflow: hidden;
}

.card-texts-image {
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
	opacity: 0;
	transition: opacity 1s ease;
	transition-delay: 1s;
}

.card-texts-image.active {
	opacity: 1;
	transition-delay: 0s;
}

.card-texts-menu {
	height: fit-content;
	display: flex;
	justify-content: center;
	align-items: center;
	column-gap: 2.3em;
	background-color: #000000;
	font-size: var(--font-size-large-2);
	padding: 0 var(--padding-page);
}

.card-texts-menu-item {
	position: relative;
	color: #ffffff;
	padding: 2.8em 0em;
	text-transform: lowercase;
}

.card-texts-menu-item:after {
	position: absolute;
	display: block;
	content: "-";
	top: 50%;
	right: -1.4em;
	height: 100%;
	line-height: 0.1em;
}

.card-texts-menu-item:last-of-type:after {
	display: none;
}

.card-texts-menu-item:hover, .card-texts-menu-item.active {
	color: var( --color-primary-light);
}


@media screen and (max-height: 1300px) {
	.card-texts-text {
		padding: var(--padding-m) var(--padding-m) var(--padding-m) var(--padding-m);
	}

	.card-texts-menu-item {
		padding-top: 1.5em;
		padding-bottom: 1.5em;
	}

	.card-texts-text-inner .button {
		margin-top: var(--padding-s);
	}
}

@media screen and (max-height: 1130px) {
	.card-texts-text-inner {
		max-width: none;
	}

	.card-texts .title-g {
		font-size: var(--font-size-big-4);
	}

	.card-texts .title-g .subtitle {
		font-size: var(--font-size-large);
	}
}

@media screen and (max-width: 1800px) {
	.card-texts-menu {
		font-size: var(--font-size-text);
	}
}

@media screen and (max-width: 1200px) {
	.card-texts .title-g {
		font-size: var(--font-size-big-4);
	}

	.card-texts .title-g .subtitle {
		font-size: var(--font-size-large);
	}
}

@media screen and (max-width: 1023px) {
	.card-texts-text-inner {
		max-width: none;
	}

	.card-texts-images {
		height: 100vh;
		max-height: 480px;
	}
}

@media screen and (max-width: 950px) {
	.card-texts {
		display: flex;
		flex-direction: column;
	}

	.card-texts-content {
		order: 2;
	}

	.card-texts-images {
		height: 100vh;
		max-height: 480px;
	}

	.card-texts-menu {
		order: 1;
		flex-direction: column;
		padding-top: 1em;
		padding-bottom: 1em;
	}

	.card-texts-menu-item {
		padding: 0;
	}

	.card-texts-menu-item:after {
		display: none;
	}
}
